/*
	*
	* This file is a part of CoreFM.
	* A file manager for CuboCore Application Suite
    * Copyright 2019 CuboCore Group
	*

	*
	* This program is free software; you can redistribute it and/or modify
	* it under the terms of the GNU General Public License as published by
	* the Free Software Foundation; either version 3 of the License, or
	* (at your option) any later version.
	*

	*
	* This program is distributed in the hope that it will be useful,
	* but WITHOUT ANY WARRANTY; without even the implied warranty of
	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	* GNU General Public License for more details.
	*

	*
	* You should have received a copy of the GNU General Public License
	* along with this program; if not, write to the Free Software
	* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	* MA 02110-1301, USA.
	*
*/


#pragma once

#include <sys/stat.h>
#include <fcntl.h>
#include <dirent.h>
#include <unistd.h>
#include <libgen.h>
#include <sys/types.h>

#include <QtGui>
#include <QtCore>
#include <QtWidgets>

#include <csys/storageinfo.h>

#include <cprime/pinit.h>
#include <cprime/cprime.h>
#include <cprime/corexdg.h>
#include <cprime/shareit.h>
#include <cprime/filefunc.h>
#include <cprime/infofunc.h>
#include <cprime/themefunc.h>
#include <cprime/appopenfunc.h>
#include <cprime/ioprocesses.h>
#include <cprime/trashmanager.h>
#include <cprime/settingsmanage.h>
#include <cprime/applicationdialog.h>

/* SettingsManage instance */
static settingsManage *sm = settingsManage::initialize();
